For Developers

Get Attendance Entry Method

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/attendance_entry_methods/:attendance_entry_method_id

Retrieve information about a specific Attendance Entry Method.

Request Parameters

ParameterLocationTypeDescription
attendance_entry_method_idurlstringThe UUID of the desired Attendance Entry Method.

Sample Request

axios.get('https://ed.link/api/v2/graph/attendance_entry_methods/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "name": "Fob Scan",
        "type": "digital"
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}